var tmpl=`
    <el-button :type="type" @click="goback"><slot>返回</slot></el-button>
`
module.exports=
`{
   template:'${tmpl.replace(/\n/g,"")}',
   props:['type'],
   data:function(){
     return {
     };
   },
   methods:{
     goback(){
         window.history.length > 1 ? this.$router.go(-1): this.$router.push('/');
     },
   },
   vname:"gsb-backbtn"
}`
